simpla.fydocs

CRM KPIs segmented by actor (AI vs human)

GET
/api/v1/orgs/{orgId}/crm-pipelines/{pipelineId}/kpi/compare

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
pipelineId*string

Query Parameters

period?string
Default"month"
Value in"today" | "week" | "month" | "quarter" | "year"
actors?string

CSV of actors to return: ai, human, all

Default"ai,human"

Response Body

application/json

curl -X GET "https://example.com/api/v1/orgs/string/crm-pipelines/string/kpi/compare"
{
  "period": {
    "key": "today",
    "from": "2019-08-24T14:15:22Z",
    "to": "2019-08-24T14:15:22Z"
  },
  "ai": {
    "actor": "ai",
    "total_leads": 892,
    "by_status": {
      "CONVERTED": 334,
      "IN_PROGRESS": 38
    },
    "conversion_rate": 37.4,
    "avg_time_to_qualify": 1840,
    "avg_time_to_convert": 4200,
    "leads_today": 12,
    "in_progress": 38,
    "converted_total": 410,
    "converted_today": 7
  },
  "human": {
    "actor": "ai",
    "total_leads": 892,
    "by_status": {
      "CONVERTED": 334,
      "IN_PROGRESS": 38
    },
    "conversion_rate": 37.4,
    "avg_time_to_qualify": 1840,
    "avg_time_to_convert": 4200,
    "leads_today": 12,
    "in_progress": 38,
    "converted_total": 410,
    "converted_today": 7
  },
  "all": {
    "actor": "ai",
    "total_leads": 892,
    "by_status": {
      "CONVERTED": 334,
      "IN_PROGRESS": 38
    },
    "conversion_rate": 37.4,
    "avg_time_to_qualify": 1840,
    "avg_time_to_convert": 4200,
    "leads_today": 12,
    "in_progress": 38,
    "converted_total": 410,
    "converted_today": 7
  },
  "metadata": {
    "actor_unknown_count": 0,
    "last_followize_sync_at": "2019-08-24T14:15:22Z"
  }
}
Empty
Empty